﻿using System.Windows;
using System.Windows.Data;
using Infragistics.Windows.DataPresenter;
using Infragistics.Windows.DataPresenter.Events;

namespace WpfApplication2
{
   /// <summary>
   /// Interaction logic for MainWindow.xaml
   /// </summary>
   public partial class MainWindow
   {
      public MainWindow()
      {
         InitializeComponent();

         #region Build Sample Data

         Data tableData = new Data();
         RowData row1 = new RowData();
         RowData row2 = new RowData();

         tableData.Rows.Add(row1);
         tableData.Rows.Add(row2);

         row1.Columns.Add(new ValueContainer { DoubleValue = 1.1 });
         row1.Columns.Add(new ValueContainer { DoubleValue = 1.2 });
         row2.Columns.Add(new ValueContainer { DoubleValue = 2.1 });
         row2.Columns.Add(new ValueContainer { DoubleValue = 2.2 });

         DataContext = tableData;

         #endregion //Build Sample Data
      }

      private void XamDataGrid_FieldLayoutInitialized(object sender, FieldLayoutInitializedEventArgs e)
      {
         XamDataGrid parameterGrid = sender as XamDataGrid;

         // Create fields
         if (parameterGrid != null)
         {
            for (int columnIndex = 0; columnIndex < 2; columnIndex++)
            {
               UnboundField unboundField = new UnboundField
                                              {
                                                 BindingPath = new PropertyPath("Columns[" + columnIndex + "]"),
                                                 BindingMode = BindingMode.TwoWay,
                                                 Settings = new FieldSettings
                                                               {
                                                                  AllowCellVirtualization = false,
                                                                  AllowLabelVirtualization = false,
                                                                  AllowGroupBy = false,
                                                                  AllowEdit = false,
                                                               }
                                              };

               parameterGrid.DefaultFieldLayout.Fields.Add(unboundField);
            }
         }
      }
   }
}
